[Debian-in-commits] [SCM] fonts-eeyek.git branch, master, updated. upstream/1.0-10-gd9af979
Muneeb Shaikh
iammuneeb at gmail.com
Mon Feb 27 14:21:32 UTC 2012
The following commit has been merged in the master branch:
commit e4c48347736c26e9606663448ab035beac87a24b
Author: Muneeb Shaikh <iammuneeb at gmail.com>
Date: Mon Feb 27 17:55:18 2012 +0530
upgradation handling of font using preinst
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..523e35c
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,38 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ if [ -d /usr/share/fonts/truetype/fonts-eeyek ]; then
+ rm -rf /usr/share/fonts/truetype/fonts-eeyek/
+ fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--
fonts-eeyek.git
More information about the Debian-in-commits
mailing list